<?php
namespace SM\Service;

use SM\Factory\Sm00001002PropostaHistoricoFactory;
use Teknisa\Libs\Util\Environment;
use Teknisa\Libs\Util\NewCode;
use Doctrine\ORM\EntityManager;
use Zeedhi\Framework\DataSource\DataSet;

class Sm00001002PropostaHistoricoService
{

    protected $Sm00001002PropostaHistoricoFactory;
    protected $Environment;
    protected $newCode;

    public function __construct(EntityManager $entityManager, Sm00001002PropostaHistoricoFactory $Sm00001002PropostaHistoricoFactory, Environment $Environment, NewCode $newCode)
    {
        $this->Sm00001002PropostaHistoricoFactory   = $Sm00001002PropostaHistoricoFactory;
        $this->connection                           = $entityManager->getConnection();
        $this->Environment                          = $Environment;
        $this->newCode                              = $newCode;
    }

    public function getHistoricoProposta()
    {
        return $this->Sm00001002PropostaHistoricoFactory->getHistoricoProposta();
    }
}
